Ext.define('Mob.store.pivot.Sales', {
    extend: 'Ext.data.Store',
    alias: 'store.sales',

    model: 'Mob.model.pivot.Sale',

    proxy: {
        // load using HTTP
        type: 'ajax',
        limitParam: null,
        url: '/Mob/SalesData',
        // the return will be JSON, so lets set up a reader
        reader: {
            type: 'json'
        }
    },
    autoLoad: true
});
