//<example>
Ext.require('Mob.model.Person', function() {
//</example>
Ext.define('Mob.view.binding.ChainedStoresModel', {
    extend: 'Ext.app.ViewModel',
    alias: 'viewmodel.binding.chainedstores',

    data: {
        minimumAge: 18
    },
    stores: {
        everyone: {
            model: 'Person',
            data: Mob.model.Person.generateData(15, 10)
        },
        adults: {
            source: '{everyone}',
            filters: [{
                property: 'age',
                value: '{minimumAge}',
                operator: '>='
            }],
            sorters: [{
                property: 'age',
                direction: 'ASC'
            }]
        }
    }
});
//<example>
});
//</example>