Ext.define('Mob.store.GeoData', {
    extend: 'Ext.data.TreeStore',

    requires: [
        'Mob.model.tree.Country',
        'Mob.model.tree.City'
    ],

    model: 'Mob.model.tree.Territory',

    proxy: {
        type: 'ajax',
        reader: {
            type: 'json',
            typeProperty: 'mtype'
        },
        url: '/Mob/GeoData'
    },

    lazyFill: false
});
