Ext.define('Mob.view.tab.ReorderableTabsController', {
    extend: 'Ext.app.ViewController',
    alias: 'controller.reorderable-tabs',

    counter: 4,

    onAddTabClick: function() {
        var tabPanel = this.getView(),
            counter = ++this.counter,
            html = counter % 2 ? Mob.DummyText.longText :
                Mob.DummyText.extraLongText,
            tab = tabPanel.add({
                title: 'Tab ' + counter,
                html: html
            });

        tabPanel.setActiveTab(tab);
    }
});
