// <example>
Ext.require('Mob.model.Person', function() {
// </example>
Ext.define('Mob.view.binding.ChainedStoreModel', {
    extend: 'Ext.app.ViewModel',
    alias: 'viewmodel.binding-chainedstore',

    stores: {
        everyone: {
            model: 'Mob.model.Person',
            data: Mob.model.Person.generateData(15, 10)
        },
        ageFiltered: {
            source: '{everyone}',
            filters: [{
                property: 'age',
                value: '{minimumAge}',
                operator: '>='
            }],
            sorters: [{
                property: 'age',
                direction: 'ASC'
            }]
        }
    },
    data: {
        minimumAge: 18
    }
});
// <example>
});
// </example>
